CPIO(1)

NAMN
cpio — kopiera filer till och från arkiv

SYNOPSIS
cpio {-o|--create} [-0acvABLV] [-C BYTE] [-H FORMAT] [-M MEDDELANDE] [-O [[ANVÄNDARE@]VÄRD:]ARKIV] [-F [[ANVÄNDARE@]VÄRD:]ARKIV] [--file=[[ANVÄNDARE@]VÄRD:]ARKIV] [--format=FORMAT] [--message=MEDDELANDE] [--null] [--reset-access-time] [--verbose] [--dot] [--append] [--block-size=block] [--dereference] [--io-size=BYTE] [--quiet] [--force-local] [--rsh-command=KOMMANDO] < namnlista [> arkiv] cpio {-i|--extract} [-bcdfmnrtsuvBSV] [-C BYTE] [-E FIL] [-H FORMAT] [-M MEDDELANDE] [-R [ANVÄNDARE][:.][GRUPP]] [-I [[ANVÄNDARE@]VÄRD:]ARKIV] [-F [[ANVÄNDARE@]VÄRD:]ARKIV] [--file=[[ANVÄNDARE@]VÄRD:]ARKIV] [--make-directories] [--nonmatching] [--preserve-modification-time] [--numeric-uid-gid] [--rename] [--list] [--swap-bytes] [--swap] [--dot] [--unconditional] [--verbose] [--block-size=BLOCK] [--swap-halfwords] [--io-size=BYTE] [--pattern-file=FIL] [--format=FORMAT] [--owner=[ANVÄNDARE][:.][GRUPP]] [--no-preserve-owner] [--message=MEDDELANDE] [--force-local] [--no-absolute-filenames] [--sparse] [--only-verify-crc] [--to-stdout] [--quiet] [--rsh-command=KOMMANDO] [mönster…] [< arkiv] cpio {-p|--pass-through} [-0adlmuvLV] [-R [ANVÄNDARE][:.][GRUPP]] [--null] [--reset-access-time] [--make-directories] [--link] [--quiet] [--preserve-modification-time] [--unconditional] [--verbose] [--dot] [--dereference] [--owner=[ANVÄNDARE][:.][GRUPP]] [--no-preserve-owner] [--sparse] målkatalog < namnlista cpio {-?|--help|--usage|--version}

RAPPORTERA FEL
Rapportera fel på cpio till: <bug-cpio@gnu.org>. Rapportera synpunkter på översättningen till: <tp-sv@listor.tp-sv.se>.

GNU cpio hemsida: <http://www.gnu.org/software/cpio/>

Allmän hjälp med att använda GNU-program: <http://www.gnu.org/gethelp/>

Rapportera anmärkningar på översättningen av cpio till <http://translationproject.org/team/sv.html>

SE ÄVEN
cpio(5)

BESKRIVNING
GNU cpio kopierar filer mellan arkiv och kataloger. Den stödjer följande arkivformat: gammalt binärt cpio, gammalt portabelt cpio, SVR4 cpio med och utan kontrollsumma, HP cpio och diverse tar-format.

Arbetsläget begärs av en av följande flaggor:

-o, --create
    Kopiera-ut. Läs en lista av filnamn från standard in och skapa på standard ut (om inte åsidosatt av flaggan --file) ett arkiv som innehåller dessa filer.

-i, --extract
    Kopiera-in. Läs arkivet från standard in (eller från filen som anges med flaggan --file) och extrahera filer från det, eller (om flaggan -t ges) lista dess innehåll till standard ut. Om ett eller flera mönster ges, läs eller lista endast filer som matchar dessa mönster. Flaggan -t ensam implicerar -i.

-p, --pass-through
    Skicka-vidare. Läs en lista av filnamn från standard in och kopiera dem till den angivna katalogen.

-?, --help
    Ge en kort hjälpsammanfattning och avsluta.

--usage
    Skriv ut ett kort användningsmeddelande och avsluta.

--version
    Skriv ut programmets version och avsluta.

RAPPORTERA FEL
Rapportera fel på cpio till: <bug-cpio@gnu.org>. Rapportera synpunkter på översättningen till: <tp-sv@listor.tp-sv.se>.

GNU cpio hemsida: <http://www.gnu.org/software/cpio/>

Allmän hjälp med att använda GNU-program: <http://www.gnu.org/gethelp/>

Rapportera anmärkningar på översättningen av cpio till <http://translationproject.org/team/sv.html>

FLAGGOR

  Åtgärdsmodifierare giltiga i alla lägen

--block-size=BLOCKSTORLEK
    Ställ in I/O-blockstorlek till BLOCKSTORLEK · 512 byte.

-B  Ställ in I/O-blockstorleken till 5120 byte.

-c  Använd det gamla portabla (ASCII) arkivformatet. Samma som -H odc.

-C, --io-size=ANTAL
    Ställ in I/O-blockstorleken till det angivna ANTALET byte.

-D, --directory=KATALOG
    Ändra till katalog KATALOG.

--force-local
    Arkivfilen är lokal, även om namnet innehåller kolon.

-H, --format=FORMAT
    Använd det angivna FORMATet. Giltiga format är (talen i parenteser ger den maximala storleken på individuella arkivmedlemmar):

    bin Det föråldrade binära formatet. (2147483647 byte)

    odc Det gamla (POSIX.1) portabla formatet. (8589934591 byte)

    newc
        Det nya (SVR4) portabla formatet, vilket stödjer filsystem som har mer än 65536 i-noder. (4294967295 byte)

    crc Det nya (SVR4) portabla formatet med en kontrollsumma tillagd.

    tar Det gamla tar-formatet. (8589934591 byte)

    ustar
        POSIX.1 tar-format. Känner också igen GNU-tar-arkiv, vilka är liknande men inte identiska. (8589934591 byte)

    hpbin
        Det föråldrade binära formatet som användes av HPUX cpio (vilket lagrar enhetsfiler på ett annat sätt).

    hpodc
        Det portabla formatet som användes av HPUX cpio (vilket lagrar enhetsfiler på ett annat sätt).

-R, --owner=[ANVÄNDARE][:.][GRUPP]
    I kopiera-in- och kopiera-vidare-läge, sätt ägarskapet på alla filer som skapas till angiven ANVÄNDARE och/eller GRUPP. I kopiera-ut-läge, lagra den givna ägarinformationen i arkivet. ANVÄNDARE och GRUPP slås först upp i systemets användar- och gruppdatabaser. Om de inte finns där kontrollerar cpio om de består av endast decimala siffror och, i så fall, behandlar dem som numeriskt AID respektive GID. För att undvika uppslagningen och säkerställa att argumenten behandlas som numeriska värden, ge dem ett prefix i form av ett plustecken, t.ex.: -R +0:+0.

--quiet
    Visa inte antalet block som kopierats vid slutet av körningen.

--rsh-command=KOMMANDO
    Använd fjärr-KOMMANDO istället för rsh.

-v, --verbose
    Skriv utförligt ut de filer som behandlas.

-V, --dot
    Visa ett ”.” för varje behandlad fil.

-W, --warning=FLAGGA
    Styr visning av varningar. Flaggan FLAGGA är en av none, för att avaktivera alla varningar, all för att aktivera dem, truncate för att aktivera varningar om avhuggning av fält och no-truncate för att avaktivera dem. Multipla flaggor -W ackumuleras.

  Åtgärdsmodifierare giltiga för lägena kopiera-in och kopiera-ut

-F, --file=[[ANVÄNDARE@]VÄRD:]ARKIVFILEN
    Använd denna ARKIVFIL istället för standard in (i kopiera-in-läge) eller standard ut (i kopiera-ut-läge). De valfria ANVÄNDARE och VÄRD anger användar- och värdnamnen i det fall arkivet är ett fjärrarkiv.

-M, --message=STRÄNG
    Visa STRÄNG då slutet på en volym av säkerhetskopieringsmediumet nås.

  Åtgärdsmodifierare giltiga endast i läget kopiera-in

-b, --swap
    Byt plats på halvord i ord och byte i halvord i data. Likvärdigt med -sS.

-f, --nonmatching
    Kopiera endast filer som inte matchar något av de angivna mönstren.

-n, --numeric-uid-gid
    Visa numeriska UID och GID i den utförliga innehållsförteckningen.

-r, --rename
    Byt namn på filer interaktivt.

-s, --swap-bytes
    Byt plats på byten i varje halvord i filerna.

-S, --swap-halfwords
    Byt plats på halvorden i varje ord (4 byte) i filerna.

--to-stdout
    Extrahera filerna till standard ut.

-E, --pattern-file=FIL
    Läs ytterligare mönster som anger filnamn att extrahera eller lista från FIL.

--only-verify-crc
    Verifiera endast CRC för varje fil i arkivet, extrahera inte filerna, då ett arkiv i CRC-format läses.

  Åtgärdsmodifierare giltiga endast i läget kopiera-ut

-A, --append
    Lägg till i ett befintligt arkiv.

--device-independent, --reproducible
    Skapa reproducerbara arkiv. Detta är ekvivalent med --ignore-devno --renumber-inodes.

--ignore-devno
    Lagra 0 i enhetsnummerfältet för varje arkivmedlem, istället för det faktiska enhetsnumret.

-O [[ANVÄNDARE@]VÄRD:]FILNAMN
    Använd ARKIVNAMN istället för standard ut. De valfria ANVÄNDARE och VÄRD anger användarnamnet och värdnamnet i det fall arkivet är ett fjärrarkiv. Utdataarkivets namn kan anges antingen genom att ge denna flagga, eller att använda -F (--file), men inte båda.

--renumber-inodes
    Numrera om inoder när de lagras i arkivet.

  Åtgärdsmodifierare giltiga endast i kopiera-vidare-läge

-l, --link
    Länka filer istället för att kopiera dem då så är möjligt.

  Åtgärdsmodifierare giltiga för lägena kopiera-in och kopiera-ut

--absolute-filenames
    Ta inte bort prefixkomponenter för filsystem från filnamn. Detta är standard.

--no-absolute-filenames
    Skapa alla filer relativt den aktuella katalogen.

  Åtgärdsmodifierare giltiga för lägena kopiera-ut och kopiera-vidare

-0, --null
    Filnamn i listan är separerade med nulltecken istället för nyrader.

-a, --reset-access-time
    Återställ filers åtkomsttider efter att de lästs.

-I [[ANVÄNDARE@]VÄRD:]FILNAMN
    Använd ARKIVNAMN istället för standard in. De valfria ANVÄNDARE och VÄRD anger användarnamnet och värdnamnet i det fall arkivet är ett fjärrarkiv. Indataarkivets namn kan anges antingen genom att ge denna flagga, eller att använda -F (--file), men inte båda.

-L, --dereference
    Dereferera symboliska länkar (kopiera filerna som de pekar på istället för att kopiera länkarna).

  Åtgärdsmodifierare giltiga för lägena kopiera-in och kopiera-vidare

-d, --make-directories
    Skapa inledande kataloger då så behövs.

-m, --preserve-modification-time
    Behåll tidigare filändringstider då filer skapas.

--no-preserve-owner
    Ändra inte ägaren av filer.

--sparse
    Skriv filer med stora block med nollor som glesa filer.

-u, --unconditional
    Ersätt ovillkorligen alla filer.

RETURVÄRDE
GNU cpio avslutar med kod 0 om det framgångsrikt kunde fullgöra den begärda åtgärden. Vid fel avslutar den med kod 2.

SE ÄVEN
tar(1), rmt(8), mt(1).

FELRAPPORTER
Rapportera fel till <bug-cpio@gnu.org>. Skicka synpunkter på översättningen till >tp-sv@listor.tp-sv.se<.

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc.
Licens GPLv3+: GNU GPL version 3 eller senare <http://gnu.org/licenses/gpl.html>
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.